-- Listing 18.11 Starten einer Transaktion und Beenden mit Rollback
USE [AdminSchnelleinstiegDB]
GO
-- Tabelle erstellen
CREATE TABLE KONTEN (KONTONR INTEGER,BETRAG DECIMAL(18,2));

-- Daten einfgen
INSERT INTO KONTEN (KONTONR,BETRAG) VALUES(1,1000);
INSERT INTO KONTEN (KONTONR,BETRAG) VALUES(2,4000);

-- Abfrage nach Erstellen der Tabelle und einfgen der Daten
SELECT 'Abfrage nach Erstellen der Tabelle und einfgen der Daten';
SELECT KONTONR, BETRAG FROM KONTEN;

-- Beginn der Transaktion mit Rollback Transaction
SELECT 'Beginn der Transaktion mit Rollback Transaction';
BEGIN TRANSACTION
    UPDATE KONTEN SET BETRAG = (BETRAG - 500) WHERE KONTONR = 1;
    UPDATE KONTEN SET BETRAG = (BETRAG + 500) WHERE KONTONR = 2;
ROLLBACK TRANSACTION

-- Abfrage nach dem Rollback der Transaktion
SELECT 'Abfrage nach dem Rollback der Transaktion';
SELECT KONTONR, BETRAG FROM KONTEN;

-- Beginn der Transaktion mit Commit Transaction
SELECT 'Beginn der Transaktion mit Commit Transaction';
BEGIN TRANSACTION
    UPDATE KONTEN SET BETRAG = (BETRAG - 500) WHERE KONTONR = 1;
    UPDATE KONTEN SET BETRAG = (BETRAG + 500) WHERE KONTONR = 2;
COMMIT TRANSACTION

-- Abfrage nach dem Ausfhren der Transaktion
SELECT 'Abfrage nach dem Ausfhren der Transaktion';
SELECT KONTONR, BETRAG FROM KONTEN;
