-- Listing 7.2 die zehn langsamsten SQL-Befehle
SELECT TOP 10  creation_time, last_execution_time
, total_physical_reads, total_logical_reads
, total_logical_writes, execution_count
, total_worker_time, total_elapsed_time
, total_elapsed_time / execution_count avg_elapsed_time
,SUBSTRING(ST.text, (QS.statement_start_offset/2) + 1,
 ((CASE statement_end_offset
 WHEN -1 THEN DATALENGTH(ST.text)
 ELSE QS.statement_end_offset END
 - QS.statement_start_offset)/2) + 1) AS statement_text
FROM SYS.dm_exec_query_stats AS QS
CROSS APPLY SYS.dm_exec_sql_text(QS.sql_handle) AS ST
ORDER BY total_elapsed_time / execution_count DESC;